Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdTrVertNormStream Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
RtDWORD | GetNumTripleIndices (void)
HRESULT | SetNumTripleIndices ([in] RtDWORD dwNumTripleIndices)
HRESULT | i ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | i ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | j ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | j ([in] RtDWORD dwIndex,[in] RtUlong newVal)
HRESULT | k ([in] RtDWORD dwIndex,[out, retval] RtUlong *pVal)
HRESULT | k ([in] RtDWORD dwIndex,[in] RtUlong newVal)

## Detailed Description

IRdTrVertNormStream specifies index stream to vertex noormals data stream (IRdVertexNormalStream).

The stream is part of IRdMesh and is stored in Triangle stream group. Stream is identified by STREAMID_TRIANGLES_VERT_NORMS id.

## Member Function Documentation

RtDWORD IRdTrVertNormStream::GetNumTripleIndices | ( | void |  | ) |

| Get number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTrVertNormStream::SetNumTripleIndices | ( | [in] RtDWORD | dwNumTripleIndices | ) |

| Set number of triangles Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTrVertNormStream::i | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get triangle vertex normal index of first vertex of i-th triangle Parameters:
  dwIndex | Triangle index
  pVal | filled with index to vertex normal stream
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTrVertNormStream::i | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set triangle vertex normal index of first vertex of i-th triangle Parameters:
  dwIndex | Triangle index
  newVal | index to vertex normal stream
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTrVertNormStream::j | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get triangle vertex normal index of second vertex of i-th triangle Parameters:
  dwIndex | Triangle index
  pVal | filled with index to vertex normal stream
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTrVertNormStream::j | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set triangle vertex normal index of second vertex of i-th triangle Parameters:
  dwIndex | Triangle index
  newVal | index to vertex normal stream
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTrVertNormStream::k | ( | [in] RtDWORD | dwIndex,
|  | [out, retval] RtUlong * | pVal
| ) |

  | Get triangle vertex normal index of third vertex of i-th triangle Parameters:
  dwIndex | Triangle index
  pVal | filled with index to vertex normal stream
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdTrVertNormStream::k | ( | [in] RtDWORD | dwIndex,
|  | [in] RtUlong | newVal
| ) |

  | Set triangle vertex normal index of third vertex of i-th triangle Parameters:
  dwIndex | Triangle index
  newVal | index to vertex normal stream
Returns: standard HRESULT processing can be applied to returned value